Upstream information

CVE-2015-1159 at MITRE

Description

Cross-site scripting (XSS) vulnerability in the cgi_puts function in cgi-bin/template.c in the template engine in CUPS before 2.0.3 allows remote attackers to inject arbitrary web script or HTML via the QUERY parameter to help/.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 4.3
Vector AV:N/AC:M/Au:N/C:N/I:P/A:N
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact None
Integrity Impact Partial
Availability Impact None
SUSE Bugzilla entries: 924208 [RESOLVED], 976653 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Build System Kit 12
  • cups >= 1.7.5-9.1
  • cups-ddk >= 1.7.5-9.1
Patchnames:
SUSE-SLE-BSK-12-2015-264
SUSE Linux Enterprise Desktop 12 SP1
SUSE Linux Enterprise Server 12 SP1
  • cups >= 1.7.5-9.1
  • cups-client >= 1.7.5-9.1
  • cups-libs >= 1.7.5-9.1
  • cups-libs-32bit >= 1.7.5-9.1
SUSE Linux Enterprise Desktop 12 SP2
SUSE Linux Enterprise Server 12 SP2
  • cups >= 1.7.5-12.4
  • cups-client >= 1.7.5-12.4
  • cups-libs >= 1.7.5-12.4
  • cups-libs-32bit >= 1.7.5-12.4
SUSE Linux Enterprise Desktop 12 SP3
SUSE Linux Enterprise Server 12 SP3
  • cups >= 1.7.5-19.1
  • cups-client >= 1.7.5-19.1
  • cups-libs >= 1.7.5-19.1
  • cups-libs-32bit >= 1.7.5-19.1
SUSE Linux Enterprise Desktop 12 SP4
SUSE Linux Enterprise Server 12 SP4
  • cups >= 1.7.5-20.17.1
  • cups-client >= 1.7.5-20.17.1
  • cups-libs >= 1.7.5-20.17.1
  • cups-libs-32bit >= 1.7.5-20.17.1
SUSE Linux Enterprise Desktop 12
  • cups >= 1.7.5-9.1
  • cups-client >= 1.7.5-9.1
  • cups-libs >= 1.7.5-9.1
  • cups-libs-32bit >= 1.7.5-9.1
Patchnames:
SUSE-SLE-DESKTOP-12-2015-264
SUSE Linux Enterprise High Performance Computing 12 SP5
SUSE Linux Enterprise Server 12 SP5
  • cups >= 1.7.5-20.23.1
  • cups-client >= 1.7.5-20.23.1
  • cups-libs >= 1.7.5-20.23.1
  • cups-libs-32bit >= 1.7.5-20.23.1
SUSE Linux Enterprise Module for Basesystem 15 SP1
  • cups >= 2.2.7-3.11.7
  • cups-client >= 2.2.7-3.11.7
  • cups-config >= 2.2.7-3.11.7
  • cups-devel >= 2.2.7-3.11.7
  • libcups2 >= 2.2.7-3.11.7
  • libcups2-32bit >= 2.2.7-3.11.7
  • libcupscgi1 >= 2.2.7-3.11.7
  • libcupsimage2 >= 2.2.7-3.11.7
  • libcupsmime1 >= 2.2.7-3.11.7
  • libcupsppdc1 >= 2.2.7-3.11.7
SUSE Linux Enterprise Module for Basesystem 15
  • cups >= 2.2.7-1.24
  • cups-client >= 2.2.7-1.24
  • cups-config >= 2.2.7-1.24
  • cups-devel >= 2.2.7-1.24
  • libcups2 >= 2.2.7-1.24
  • libcupscgi1 >= 2.2.7-1.24
  • libcupsimage2 >= 2.2.7-1.24
  • libcupsmime1 >= 2.2.7-1.24
  • libcupsppdc1 >= 2.2.7-1.24
SUSE Linux Enterprise Module for Desktop Applications 15
  • libcups2-32bit >= 2.2.7-1.24
SUSE Linux Enterprise Module for Development Tools 15 SP1
  • cups-ddk >= 2.2.7-3.11.7
SUSE Linux Enterprise Module for Development Tools 15
  • cups-ddk >= 2.2.7-1.24
SUSE Linux Enterprise Module for Legacy Software 12
  • cups154 >= 1.5.4-9.1
  • cups154-client >= 1.5.4-9.1
  • cups154-filters >= 1.5.4-9.1
  • cups154-libs >= 1.5.4-9.1
Patchnames:
SUSE-SLE-Module-Legacy-12-2015-265
SUSE Linux Enterprise Server 12
SUSE Linux Enterprise Server for SAP Applications 12
  • cups >= 1.7.5-9.1
  • cups-client >= 1.7.5-9.1
  • cups-libs >= 1.7.5-9.1
  • cups-libs-32bit >= 1.7.5-9.1
Patchnames:
SUSE-SLE-SERVER-12-2015-264
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • cups >= 1.7.5-12.4
  • cups-client >= 1.7.5-12.4
  • cups-libs >= 1.7.5-12.4
SUSE Linux Enterprise Software Development Kit 12 SP1
  • cups-devel >= 1.7.5-9.1
SUSE Linux Enterprise Software Development Kit 12 SP2
  • cups-ddk >= 1.7.5-12.4
  • cups-devel >= 1.7.5-12.4
SUSE Linux Enterprise Software Development Kit 12 SP3
  • cups-ddk >= 1.7.5-19.1
  • cups-devel >= 1.7.5-19.1
SUSE Linux Enterprise Software Development Kit 12 SP4
  • cups-ddk >= 1.7.5-20.17.1
  • cups-devel >= 1.7.5-20.17.1
SUSE Linux Enterprise Software Development Kit 12 SP5
  • cups-ddk >= 1.7.5-20.23.1
  • cups-devel >= 1.7.5-20.23.1
SUSE Linux Enterprise Software Development Kit 12
  • cups >= 1.7.5-9.1
  • cups-devel >= 1.7.5-9.1
Patchnames:
SUSE-SLE-SDK-12-2015-264
SUSE Linux Enterprise Software Development Kit 11 SP3
  • cups-devel >= 1.3.9-8.46.56.1
Builds
SAT Patch Nr: 10707
SUSE Linux Enterprise Desktop 11 SP3
SUSE Linux Enterprise Server 11 SP3
SUSE Linux Enterprise Server 11 SP3 for VMware
  • cups >= 1.3.9-8.46.56.1
  • cups-client >= 1.3.9-8.46.56.1
  • cups-libs >= 1.3.9-8.46.56.1
Builds
SAT Patch Nr: 10707
SUSE Linux Enterprise Desktop 11 SP3
SUSE Linux Enterprise Server 11 SP3
SUSE Linux Enterprise Server 11 SP3 for VMware
  • cups >= 1.3.9-8.46.56.1
  • cups-client >= 1.3.9-8.46.56.1
  • cups-libs >= 1.3.9-8.46.56.1
  • cups-libs-32bit >= 1.3.9-8.46.56.1
Builds
SAT Patch Nr: 10707
SUSE Linux Enterprise Server 11 SP3
  • cups >= 1.3.9-8.46.56.1
  • cups-client >= 1.3.9-8.46.56.1
  • cups-libs >= 1.3.9-8.46.56.1
  • cups-libs-x86 >= 1.3.9-8.46.56.1
Builds
SAT Patch Nr: 10707
openSUSE 13.1
  • cups >= 1.5.4-12.20.1
  • cups-client >= 1.5.4-12.20.1
  • cups-client-debuginfo >= 1.5.4-12.20.1
  • cups-ddk >= 1.5.4-12.20.1
  • cups-ddk-debuginfo >= 1.5.4-12.20.1
  • cups-debuginfo >= 1.5.4-12.20.1
  • cups-debugsource >= 1.5.4-12.20.1
  • cups-devel >= 1.5.4-12.20.1
  • cups-libs >= 1.5.4-12.20.1
  • cups-libs-32bit >= 1.5.4-12.20.1
  • cups-libs-debuginfo >= 1.5.4-12.20.1
  • cups-libs-debuginfo-32bit >= 1.5.4-12.20.1
Patchnames:
openSUSE-2015-418
openSUSE Leap 15.0
  • cups >= 2.2.7-lp150.1.1
  • cups-client >= 2.2.7-lp150.1.1
  • cups-config >= 2.2.7-lp150.1.1
  • libcups2 >= 2.2.7-lp150.1.1
  • libcupscgi1 >= 2.2.7-lp150.1.1
  • libcupsimage2 >= 2.2.7-lp150.1.1
  • libcupsmime1 >= 2.2.7-lp150.1.1
  • libcupsppdc1 >= 2.2.7-lp150.1.1
Patchnames:
openSUSE Leap 15.0 GA cups
openSUSE Leap 42.1
  • cups >= 1.7.5-5.6
  • cups-client >= 1.7.5-5.6
  • cups-devel >= 1.7.5-5.6
  • cups-libs >= 1.7.5-5.6
  • cups-libs-32bit >= 1.7.5-5.6
Patchnames:
openSUSE Leap 42.1 GA cups
openSUSE Leap 42.2
  • cups >= 1.7.5-7.10
  • cups-client >= 1.7.5-7.10
  • cups-devel >= 1.7.5-7.10
  • cups-libs >= 1.7.5-7.10
  • cups-libs-32bit >= 1.7.5-7.10
Patchnames:
openSUSE Leap 42.2 GA cups
openSUSE Leap 42.3
  • cups >= 1.7.5-11.1
  • cups-client >= 1.7.5-11.1
  • cups-devel >= 1.7.5-11.1
  • cups-libs >= 1.7.5-11.1
  • cups-libs-32bit >= 1.7.5-11.1
Patchnames:
openSUSE Leap 42.3 GA cups
openSUSE Tumbleweed
  • cups >= 2.1.3-2.3
  • cups-client >= 2.1.3-2.3
  • cups-ddk >= 2.1.3-2.3
  • cups-devel >= 2.1.3-2.3
  • cups-devel-32bit >= 2.1.3-2.3
  • cups-libs >= 2.1.3-2.3
  • cups-libs-32bit >= 2.1.3-2.3
Patchnames:
openSUSE Tumbleweed GA cups


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SLED-10-SP3 cups Released
SLED-10-SP4 cups Released
SLES-10-SP3 cups Released
SLES-10-SP4 cups Released
SLES_LTSS-10-SP4 cups Released
SUSE Linux Enterprise 12 Module for Legacy cups154 Released
SUSE Linux Enterprise Desktop 11 SP1 cups Released
SUSE Linux Enterprise Desktop 11 SP2 cups Ignore
SUSE Linux Enterprise Desktop 11 SP3 cups Released
SUSE Linux Enterprise Desktop 12 cups Released
SUSE Linux Enterprise Desktop 12 SP1 cups Released
SUSE Linux Enterprise High Performance Computing 12 SP5 cups Released
SUSE Linux Enterprise Server 11 SP1 cups Ignore
SUSE Linux Enterprise Server 11 SP1 LTSS cups Released
SUSE Linux Enterprise Server 11 SP2 cups Ignore
SUSE Linux Enterprise Server 11 SP2 LTSS cups Ignore
SUSE Linux Enterprise Server 11 SP2 for VMware cups Ignore
SUSE Linux Enterprise Server 11 SP3 cups Released
SUSE Linux Enterprise Server 11 SP3 for VMware cups Released
SUSE Linux Enterprise Server 12 cups Released
SUSE Linux Enterprise Server 12 SP5 cups Released
SUSE Linux Enterprise Server for SAP Applications 12 SP5 cups Released
SUSE Linux Enterprise Server for SAP Business All-in-One cups Released
SUSE Linux Enterprise Software Bootstrap Kit 12 cups Released
SUSE Linux Enterprise Software Development Kit 11 SP1 cups Released
SUSE Linux Enterprise Software Development Kit 11 SP2 cups Ignore
SUSE Linux Enterprise Software Development Kit 11 SP3 cups Released
SUSE Linux Enterprise Software Development Kit 12 cups Released